fgl-5.5.0.1: Martin Erwig's Functional Graph Library

Safe Haskell | Safe-Inferred
Language | Haskell98

Data.Graph.Inductive.Query.SP

Synopsis

- spTree :: (Graph gr, Real b) => Node -> gr a b -> LRTree b
- spLength :: (Graph gr, Real b) => Node -> Node -> gr a b -> b
- sp :: (Graph gr, Real b) => Node -> Node -> gr a b -> Path
- dijkstra :: (Graph gr, Real b) => Heap b (LPath b) -> gr a b -> LRTree b

# Documentation

spTree :: (Graph gr, Real b) => Node -> gr a b -> LRTree b

spLength :: (Graph gr, Real b) => Node -> Node -> gr a b -> b

sp :: (Graph gr, Real b) => Node -> Node -> gr a b -> Path

dijkstra :: (Graph gr, Real b) => Heap b (LPath b) -> gr a b -> LRTree b

Implementation of Dijkstra's shortest path algorithm